commit 4c6da80ab5a54df72c0243d32a3976b683441d5e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Apr 2 11:26:06 2023 +0200

    poppler 23.04.0

 CMakeLists.txt   |  4 ++--
 NEWS             | 12 ++++++++++++
 cpp/Doxyfile     |  2 +-
 qt5/src/Doxyfile |  2 +-
 qt6/src/Doxyfile |  2 +-
 5 files changed, 17 insertions(+), 5 deletions(-)

commit 23994cf44ac8a11b0dfbf159df669bbe1ac78dc3
Author: Oliver Sander <oliver.sander@tu-dresden.de>
Date:   Wed Mar 29 12:31:18 2023 +0200

    Use std::vector for the fontIDs array

    This makes the code safer and easier to read.

 poppler/PSOutputDev.cc | 24 ++++++------------------
 poppler/PSOutputDev.h  |  6 ++----
 2 files changed, 8 insertions(+), 22 deletions(-)

commit 09aed1a65e703ec419980506d12578ca4149f58d
Author: Oliver Sander <oliver.sander@tu-dresden.de>
Date:   Wed Mar 29 08:36:49 2023 +0200

    Use std::string for psFileName, instead of GooString

    This simplifies the memory and error handling a little bit.

 utils/pdftops.cc | 23 +++++++++++------------
 1 file changed, 11 insertions(+), 12 deletions(-)

commit 770b0e130183104e30eb9138a68be187a689737b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Mar 28 12:34:10 2023 +0200

    CI: fix mingw

 .gitlab-ci.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 098d2d497b3d8cbc4fdf9eb68385bfbe2ee3e711
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Mon Mar 27 17:52:28 2023 +0200

    Fix crash in bad signature verification

    If the signature existing but too wrong for us to understand, we might
    not get the hashContext object created, so guard against that.

    This is fallout from 08c0766e9d.

    Note the SignHandler does not need the same guards; the hashContext is
    always present.

 poppler/SignatureHandler.cc | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit 08c0766e9d7ab08cdc7ef380ce9c190ae87d789b
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Fri Mar 3 08:22:13 2023 +0100

    Split signature handler for signing and verification

    Only a little bit of the class state was shared between the signing
    and verification functions, so split it in the shared hashing bits
    and a class for signing and one for verification

    Also clean up a little bit of the memory handling

 poppler/Form.cc             |   8 +--
 poppler/Form.h              |   4 +-
 poppler/SignatureHandler.cc | 125
 +++++++++++++++++++-------------------------
 poppler/SignatureHandler.h  |  64 +++++++++++++++--------
 qt5/src/poppler-form.cc     |   2 +-
 qt6/src/poppler-form.cc     |   2 +-
 6 files changed, 105 insertions(+), 100 deletions(-)

commit e7fa64daa62bd09839d9d52413600889d76ae936
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Mar 27 11:42:08 2023 +0200

    clang-format-15 reformat to ignore-revs file

 .git-blame-ignore-revs | 2 ++
 1 file changed, 2 insertions(+)

commit b5aa09403e0f106f51292683c1841908167337ea
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Oct 12 11:59:27 2022 +0200

    clang 15

 .clang-tidy               |   2 +-
 .gitlab-ci.yml            |  20 ++--
 README.contributors       |   2 +-
 glib/poppler-document.cc  |   2 +-
 goo/gfile.h               |  10 +-
 poppler/CairoOutputDev.h  | 104 ++++---------------
 poppler/Gfx.h             |  10 +-
 poppler/GfxState.h        |  65 +++---------
 poppler/GlobalParams.cc   |   6 +-
 poppler/OutputDev.h       | 107 ++++---------------
 poppler/PDFDoc.h          | 260
 ++++++++++------------------------------------
 poppler/PSOutputDev.h     | 155 ++++++---------------------
 poppler/SplashOutputDev.h |  15 +--
 poppler/TextOutputDev.h   | 125 +++++-----------------
 qt5/src/poppler-private.h |   5 +-
 qt6/src/poppler-private.h |   5 +-
 splash/Splash.h           |  15 +--
 test/cairo-thread-test.cc |   2 +-
 test/perf-test.cc         |   2 +-
 utils/InMemoryFile.h      |   5 +-
 20 files changed, 195 insertions(+), 722 deletions(-)

commit af911848aa1e3c4bdb90558dc9c8aef2d6498cdf
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Mar 26 23:48:13 2023 +0200

    Update (C)

 poppler/Page.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ac5cc0244f1131687f7699115e3c1be415c55409
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Mar 26 23:37:42 2023 +0200

    Fix leak when calling addAnnot on malformed files

    oss-fuzz/57464

 poppler/Page.cc | 13 ++++++++++---
 poppler/Page.h  |  4 ++--
 2 files changed, 12 insertions(+), 5 deletions(-)

commit d5d23b3bcc4cbfbe58bdfa3e2c82555aa72c4117
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Mar 24 23:52:02 2023 +0100

    Update (C)

 poppler/Page.cc | 2 +-
 poppler/XRef.cc | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit d07818d63677ccd2ea68b580ee45085597681a36
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Mar 23 19:22:21 2023 +0100

    Page::removeAnnot: Reorder code to fix memory leak

    We were removing the annot object from the xref, then calling
    removeReferencedObjects
    that in some cases calls setModifiedObject on the xref with that same
    annot object, which is wrong, we can't modify an object that isn't
    there
    anymore

 poppler/Page.cc | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 96a953dbde5339798ca583a5ced2e6f0384351e7
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Mar 23 19:21:16 2023 +0100

    XRef: Add a warning if calling setModifiedObject on empty ref

 poppler/XRef.cc | 3 +++
 1 file changed, 3 insertions(+)

commit ea5e64f139094ec93b2261d51a61c8a8b9b57e44
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Mar 17 00:14:56 2023 +0100

    PDFDoc::sign: Fix memory issue when signing fails

    Issue #1372

 poppler/PDFDoc.cc | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 3d38bd6abacc607e492361f8febf381065913d36
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Thu Mar 23 09:38:47 2023 +0000

    Fix use of dangling memory

    g_strdup is a macro and thus the intermediate getSignerName() value
    would be destructed after the first line of code in the macro

 glib/poppler-form-field.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit f8d8753fecdb8b4e572d3aec6c654c5efb498b44
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Thu Mar 16 09:45:02 2023 +0100

    Split HashContext to separate class

    Then we only need one place to do the endHash and memory handling.

 poppler/SignatureHandler.cc | 94
 ++++++++++++++++++++-------------------------
 poppler/SignatureHandler.h  | 27 +++++++++----
 2 files changed, 60 insertions(+), 61 deletions(-)

commit 3a3965a5cc7f20fd0d6cbfe92a45b3999456d7a0
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Tue Mar 14 09:47:51 2023 +0100

    Remove need for dual signing of data

    Instead of creating a placeholder signature of dummy data, just use
    dummy data as a placeholder and then pad the real signature with
    zeroes
    to fit in the same size as the dummy data.

    This is also kind of what the pdf specification suggests.

    It also ensures that for certain smart card setups requiring
    a distinct
    pin per signature will only be asked once.

 poppler/Form.cc             | 30 +++++++++++++++---------------
 poppler/Form.h              |  2 +-
 poppler/SignatureHandler.cc |  7 +------
 poppler/SignatureHandler.h  |  6 +++++-
 4 files changed, 22 insertions(+), 23 deletions(-)

commit 22b794c0535a0f3331428b570d348ee51ca980b8
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Wed Mar 22 17:02:53 2023 +0100

    Minor hardening

    I'm not sure how, but I succeded creating a null certificate info ptr,
    so better guard that for being safe.

    If getting the start/end fails, the objStart/objEnd might not be
    initialized, so guard against that. The document would be quite
    malformed to get here in the first place.

 poppler/Form.cc | 5 +++++
 1 file changed, 5 insertions(+)

commit 7608a427558e54ec401e6f5600ee0e9f4cf6f392
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Wed Mar 22 19:10:37 2023 +0100

    CI: Use FDO_CI_CONCURRENT

    the freedesktop.org ci system suggests to not use more parallel jobs
    than whatever is put in that variable to avoid killing the systems.

 .gitlab-ci.yml | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit fbc26317d9bd869452d4d3da0ba05077ae619748
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Mar 21 23:12:03 2023 +0100

    pdfsig: Support --help

 utils/pdfsig.cc | 1 +
 1 file changed, 1 insertion(+)

commit 9ff937311f0764e5f339fbbe15899a9dd6e006f0
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Mar 20 14:37:32 2023 +0100

    Update (C)

 poppler/Form.h    | 1 +
 poppler/PDFDoc.cc | 1 +
 poppler/PDFDoc.h  | 1 +
 3 files changed, 3 insertions(+)

commit e5a3052390b5912b19c749e91babfe3d83004184
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Thu Mar 16 10:20:22 2023 +0100

    Use vector, not malloc/free for signature data

 poppler/Form.cc             | 6 +++---
 poppler/SignatureHandler.cc | 7 +++----
 poppler/SignatureHandler.h  | 3 ++-
 3 files changed, 8 insertions(+), 8 deletions(-)

commit 5ccac116d19c29bc543849a1540921b55c313aa8
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Mon Mar 20 12:07:24 2023 +0100

    pdfsig -dump - allow holes in signature list

    It is perfectly possible to have e.g. 4 signature slots and only
    currently a signature in slot first and last slot. pdfsig should
    be able
    to dump all of them, but it considers a missing signature a stop
    condition. It can just continue and get all of actual ones out.

 utils/pdfsig.cc | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 2b53d5a8ccb7350c00ef135ab40ca3562099265c
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Mon Mar 20 11:48:42 2023 +0100

    Fixup for 8787103a43

    Some codepaths was overlooked; might lead to crashes in pdfsig.

    Also clean up the Qt checkpassword functions; they aren't crashers
    though.

 qt5/src/poppler-form.cc | 4 ++--
 qt6/src/poppler-form.cc | 2 +-
 utils/pdfsig.cc         | 3 +--
 3 files changed, 4 insertions(+), 5 deletions(-)

commit 8787103a43732440e1994c6c72d99a4717af8b95
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Fri Mar 17 14:08:42 2023 +0100

    Switch some const char* to std string

    Also move the weirdness (empty password is nullptr) close to usage,
    rather than have it as far away as possible.

 poppler/Form.cc             | 14 +++++++-------
 poppler/Form.h              |  8 ++++----
 poppler/PDFDoc.cc           |  6 +++---
 poppler/PDFDoc.h            |  6 +++---
 poppler/SignatureHandler.cc |  8 ++++----
 poppler/SignatureHandler.h  |  4 ++--
 qt5/src/poppler-form.cc     |  5 ++---
 qt6/src/poppler-form.cc     |  7 +++----
 utils/pdfsig.cc             |  3 +--
 9 files changed, 29 insertions(+), 32 deletions(-)

commit b39c8cd2bc7757b3c1c4756de345702f852a4706
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Fri Mar 17 14:24:51 2023 +0100

    Add const to a few signature methods

 poppler/SignatureHandler.cc | 8 ++++----
 poppler/SignatureHandler.h  | 8 ++++----
 2 files changed, 8 insertions(+), 8 deletions(-)

commit ede53de1654afe86e25fa22c7e9d50003a217d5a
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Mon Mar 13 14:48:21 2023 +0100

    Valgrind cleanup of signing

    signing_cert is owned by us while verifying, but the data we were
    writing to it while signing was not (directly) owned by us, so don't
    free it. Or well. Don't write it to a class member.

 poppler/SignatureHandler.cc | 30 +++++++++++++++++++-----------
 poppler/SignatureHandler.h  |  2 +-
 2 files changed, 20 insertions(+), 12 deletions(-)

commit fc802d21df3c70f721c0353ab8862a4632c8018e
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Thu Mar 16 09:54:54 2023 +0100

    Make standalone methods standalone

    In previous commits, these functions has been made fully standalone,
    so
    now make it obvious.

 poppler/SignatureHandler.cc | 10 +++++++---
 poppler/SignatureHandler.h  |  3 ---
 2 files changed, 7 insertions(+), 6 deletions(-)

commit e4f80d6461cc26e2dd1494ab2bf548e3382a5153
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Wed Mar 15 12:22:00 2023 +0100

    Simple signature tests

    Document some of the fields we can extract.

 qt5/tests/CMakeLists.txt             |   1 +
 qt5/tests/check_signature_basics.cpp | 133
 +++++++++++++++++++++++++++++++++++
 qt6/tests/CMakeLists.txt             |   1 +
 qt6/tests/check_signature_basics.cpp | 133
 +++++++++++++++++++++++++++++++++++
 4 files changed, 268 insertions(+)

commit e18bdd936d9da551506715f8f7e36c13599c9728
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Mar 16 00:53:10 2023 +0100

    SignatureHandler::validateSignature: Use the actual hash length

    It's going to be the same size, but this is more proper

 poppler/SignatureHandler.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 829d03cccd77312886e0bc215366cfe600e65044
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Mon Mar 13 14:05:59 2023 +0100

    Switch second digest buffer to not leak memory

 poppler/SignatureHandler.cc | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit a691d8d5e6ce169325542b7912d61a215f412f28
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Mon Mar 13 13:51:55 2023 +0100

    Don't manually handle the digest buffer memory

    Also fix length and content comparison to happen in the right order

 poppler/SignatureHandler.cc | 18 ++++++------------
 1 file changed, 6 insertions(+), 12 deletions(-)

commit cfea6a76be067a37710f181480e94cee9b63f578
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Mar 15 00:38:22 2023 +0100

    Update (C)

 poppler/CairoFontEngine.cc | 2 ++
 1 file changed, 2 insertions(+)

commit fb5da5c231102f1577fb257581f9a8588e0dda5e
Author: Pablo Correa Gómez <ablocorrea@hotmail.com>
Date:   Mon Mar 13 22:20:11 2023 +0100

    CairoFontEngine: remove unused variables from type3_font_info_t

 poppler/CairoFontEngine.cc | 9 ++-------
 1 file changed, 2 insertions(+), 7 deletions(-)

commit 479a069a859f44a6cbcd3add6d00afea9bc26b95
Author: Frederic Germain <frederic.germain@gmail.com>
Date:   Tue Mar 7 16:37:10 2023 +0100

    CairoFontEngine: improve type3 font rendering

    Cache Gfx context
    Some PDFs takes time to load, this would improve from a
    few seconds loading time to instant display

    Coauthored-by: Pablo Correa Gomez <ablocorrea@hotmail.com>

 poppler/CairoFontEngine.cc | 42
 +++++++++++++++++++++++++++---------------
 1 file changed, 27 insertions(+), 15 deletions(-)

commit fb49889fea6e6003d8b8e2d65de0ce58d6229d54
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Mon Mar 13 13:56:59 2023 +0100

    Simplify temp_certs memory handling

 poppler/SignatureHandler.cc | 20 ++++++++++++++------
 poppler/SignatureHandler.h  |  1 -
 2 files changed, 14 insertions(+), 7 deletions(-)

commit fcb7b90ddbd6135e3fbf1032de07bc5b0e351df2
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Mon Mar 13 14:28:08 2023 +0100

    nss created message was leaked on most errors

    Use a unique_ptr to ensure it is being destructed properly

 poppler/SignatureHandler.cc | 19 +++++++++++--------
 1 file changed, 11 insertions(+), 8 deletions(-)

commit 01ff2af0ee61c45bf4728a1d6ff4327aa2889d21
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Mar 13 15:49:09 2023 +0100

    Update (C)

 utils/pdftocairo.cc | 1 +
 1 file changed, 1 insertion(+)

commit 2cd82736e2db45e9a06baba1478439637172a76e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Mar 13 15:45:41 2023 +0100

    Update (C)

 poppler/CertificateInfo.cc | 1 +
 poppler/CertificateInfo.h  | 1 +
 2 files changed, 2 insertions(+)

commit bd533d75bb171dada6fa9e9fdc5bdc3e42824b97
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Mon Mar 13 14:21:23 2023 +0100

    Put the arenapool in a unique_ptr

    Also allocate it a bit earlier to use it for a few other entries that
    might otherwise else be leaked in certain error conditions

 poppler/SignatureHandler.cc | 20 +++++++++++---------
 1 file changed, 11 insertions(+), 9 deletions(-)

commit 7b50d9f0374aa5d0ea653a0d024b315e16625839
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Mon Mar 13 14:02:27 2023 +0100

    Put HASHContext in a unique_ptr rather than manually manage it
    with freeing

 poppler/SignatureHandler.cc | 19 ++++++-------------
 poppler/SignatureHandler.h  |  6 +++++-
 2 files changed, 11 insertions(+), 14 deletions(-)

commit c630bb95af5790d8d438d7e3b1dae8bf9e4a1541
Author: Anton Thomasson <antonthomasson@gmail.com>
Date:   Sun Mar 12 10:10:03 2023 +0100

    pdftocairo: Don't do things based on first page

    Remember document initialization status instead.
    This prevents a segfault where even/odd rendering forgets to run
    beginDocument as the "first" page is not to be rendered.

 utils/pdftocairo.cc | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 90da1d7b9ee200a0006bd9a103a3da10e2022e3b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Mar 10 23:27:51 2023 +0100

    Fix memory leak in GlobalParams::findSystemFontFileForFamilyAndStyle

 poppler/GlobalParams.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit b46e395c39700325cd6d717f0cf459274a44a1a9
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Fri Mar 10 14:10:32 2023 +0100

    Simplify certificate and signature info

    More stuff can be defaulted.

 poppler/CertificateInfo.cc | 25 -------------------------
 poppler/CertificateInfo.h  | 18 +++++++++---------
 poppler/SignatureInfo.cc   | 22 +---------------------
 poppler/SignatureInfo.h    | 13 ++++++-------
 4 files changed, 16 insertions(+), 62 deletions(-)

commit 96067bdbc2307decacc8d526795fd2dacf617f5d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Mar 8 23:07:14 2023 +0100

    Update (C)

 glib/poppler-form-field.cc | 1 +
 1 file changed, 1 insertion(+)

commit c335934c1c30ab3ec1dd963f4646ae88d5790172
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Tue Mar 7 15:30:55 2023 +0100

    Use std::string for strings

    not manual strdup/free

 glib/poppler-form-field.cc |  2 +-
 poppler/SignatureInfo.cc   | 28 +++++++++-------------------
 poppler/SignatureInfo.h    | 12 ++++++------
 qt5/src/poppler-form.cc    |  4 ++--
 qt6/src/poppler-form.cc    |  4 ++--
 utils/pdfsig.cc            |  4 ++--
 6 files changed, 22 insertions(+), 32 deletions(-)

commit 89bf50a84ebbca98916384d7dd3614225f02d2cb
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Mar 8 01:15:33 2023 +0100

    Update (C)

 poppler/Form.cc             | 3 ++-
 poppler/Form.h              | 2 +-
 poppler/PDFDoc.cc           | 2 +-
 poppler/SignatureHandler.cc | 2 ++
 poppler/SignatureHandler.h  | 1 +
 poppler/SignatureInfo.cc    | 1 +
 poppler/SignatureInfo.h     | 1 +
 qt5/src/poppler-form.cc     | 3 ++-
 qt6/src/poppler-form.cc     | 3 ++-
 utils/pdfsig.cc             | 3 ++-
 10 files changed, 15 insertions(+), 6 deletions(-)

commit d367fe8d40b3d3d19285cd36c1a76447feea22db
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Mar 4 01:19:51 2023 +0100

    Remove unused digestName parameter

 poppler/Form.cc         | 10 +++++-----
 poppler/Form.h          |  8 ++++----
 poppler/PDFDoc.cc       |  2 +-
 qt5/src/poppler-form.cc |  2 +-
 qt6/src/poppler-form.cc |  2 +-
 utils/pdfsig.cc         |  8 +++++++-
 6 files changed, 19 insertions(+), 13 deletions(-)

commit 6051948976b63ffa02a93afc9aaea18d2733a4f9
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Thu Mar 2 14:41:48 2023 +0100

    Remove unused static method

 poppler/SignatureHandler.cc | 15 ---------------
 poppler/SignatureHandler.h  |  2 --
 2 files changed, 17 deletions(-)

commit 7af9565c492205cdad27c08478168d9e53349f83
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Thu Mar 2 14:17:15 2023 +0100

    Remove unused constructor

 poppler/SignatureHandler.cc | 6 ------
 poppler/SignatureHandler.h  | 1 -
 2 files changed, 7 deletions(-)

commit f688173900f3c29e802a3c140bdaa9d48d6c7118
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Thu Mar 2 12:48:19 2023 +0100

    Remove unused ASN bits

 poppler/SignatureHandler.cc | 64
 ---------------------------------------------
 1 file changed, 64 deletions(-)

commit 64c7f8b3b67902274684f6541c0a931001a6fa20
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Thu Mar 2 12:23:10 2023 +0100

    Remove unused code

 poppler/SignatureHandler.h | 13 -------------
 1 file changed, 13 deletions(-)

commit c109770d59cb81d3dc8f3ab8a3ab7795e3583478
Author: Ingo Klöcker <kloecker@kde.org>
Date:   Thu Mar 2 13:18:45 2023 +0000

    add const

 poppler/SignatureHandler.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 56fc0b14214feb50c377c725bc55d53738881532
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Thu Mar 2 12:02:44 2023 +0100

    Keep nss types in signature class

    If one wants the ability to use a different library for signing and
    verification than nss, it is a good idea to not directly expose
    the NSS
    types to the rest of poppler.

 poppler/Form.cc             |   2 +-
 poppler/HashAlgorithm.h     |  25 +++++++++++
 poppler/SignatureHandler.cc | 106
 ++++++++++++++++++++++++++++++++++++--------
 poppler/SignatureHandler.h  |  11 ++---
 poppler/SignatureInfo.cc    |  14 ++----
 poppler/SignatureInfo.h     |   7 +--
 qt5/src/poppler-form.cc     |  20 +++++----
 qt6/src/poppler-form.cc     |  20 +++++----
 utils/pdfsig.cc             |  14 +++---
 9 files changed, 157 insertions(+), 62 deletions(-)

commit 051c2601ecc35864cad6172db8387b64951cf859
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Mar 1 22:15:25 2023 +0100

    poppler 23.03.0

 CMakeLists.txt   | 2 +-
 NEWS             | 8 ++++----
 cpp/Doxyfile     | 2 +-
 qt5/src/Doxyfile | 2 +-
 qt6/src/Doxyfile | 2 +-
 5 files changed, 8 insertions(+), 8 deletions(-)

commit 083662257ff626d6d3454a37b70928a62990c7ad
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Feb 4 11:32:08 2023 +0100

    Update (C)

 goo/PNGWriter.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 329ec39cb876f0d4137eff4fbb5e4ce37601b71a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Feb 2 23:43:52 2023 +0100

    PngWriter: Fix uninitialized memory use

    When just created and deleted without having called init()

 goo/PNGWriter.cc | 24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

commit 7673e1fd712416a5d65406d7447a1c3d5ada057b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Feb 1 17:42:42 2023 +0100

    poppler 23.02.0

 CMakeLists.txt   |  2 +-
 NEWS             | 16 +++++++++++++++-
 cpp/Doxyfile     |  2 +-
 qt5/src/Doxyfile |  2 +-
 qt6/src/Doxyfile |  2 +-
 5 files changed, 19 insertions(+), 5 deletions(-)

commit 06a0e17bd9387da0a9737f6ce945482930d98341
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Jan 26 19:07:58 2023 +0100

    Update (C)

 poppler/CairoOutputDev.cc | 1 +
 1 file changed, 1 insertion(+)

commit 1327646900994c033155100adf7bbaad7654ff50
Author: Artemy Gordon <artemy.gordon@gmail.com>
Date:   Thu Jan 26 18:01:09 2023 +0000

    Add handling matte entry in cairo backend

 poppler/CairoOutputDev.cc | 47
 ++++++++++++++++++++++++++++++++++++++++++-----
 1 file changed, 42 insertions(+), 5 deletions(-)

commit 5f76a61237db0fe26bb2ac41ac41d20670d985a3
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Jan 26 00:27:47 2023 +0100

    Update (C)

 poppler/CairoFontEngine.cc | 2 +-
 poppler/CairoOutputDev.cc  | 2 +-
 poppler/CairoOutputDev.h   | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 53115a05b7b4480ef06165199c8f1cb3982ab13d
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Tue Jan 3 10:13:52 2023 +1030

    Fix cairo rendering of color type 3 fonts

    The bug fix in 448f03cf needs to be disabled for color fonts.

 poppler/CairoFontEngine.cc |  2 +-
 poppler/CairoOutputDev.cc  |  6 +++---
 poppler/CairoOutputDev.h   | 12 +++++++++---
 3 files changed, 13 insertions(+), 7 deletions(-)

commit da39bd930fee9369071a97b93ffe3ea0987acedc
Author: Tobias Deiminger <tobias.deiminger@posteo.de>
Date:   Tue Jan 3 00:25:57 2023 +0100

    Point out pdfsig supports PKCS#11 URIs as nickname

    NSS "just works" with PKCS#11 URIs since 3.39. See
    https://bugzilla.mozilla.org/show_bug.cgi?id=1475274
    for details.

    IMO we should expose that as feature. It's a standardized NSS-agnostic
    way to identify certificate objects, and allows to disambiguate
    certificates in any case.

 utils/pdfsig.1 | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 63bfacc89576345722cf3cefb962861aa7d159b8
Author: Tobias Deiminger <tobias.deiminger@posteo.de>
Date:   Wed Jan 4 21:26:12 2023 +0100

    Fix "NSS could not shutdown"

    SignatureHandler never freed it's signing certificate. This left
    an internal NSS reference that prevented cleanup of the NSS cache,
    causing "NSS could not shutdown".

    NSS maintains an internal in-memory cache, where content is reference
    counted. PK11_MakeCertFromHandle increases the issuerAndSn count.
    CERT_DestroyCertificate decreases it. NSS tries to destruct the
    cache in
    NSS_Shutdown, which we've scheduled with atexit. There it detects a
    remaining reference.

    Fixes #1326.

 poppler/SignatureHandler.cc | 4 ++++
 1 file changed, 4 insertions(+)

commit 924ef4264cdb0eca97185d7fc1791bcf32279933
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jan 9 22:52:01 2023 +0100

    Update (C)

 poppler/SignatureHandler.cc | 1 +
 1 file changed, 1 insertion(+)

commit 4f8c8297d7190480500cdafe52c8777202229b30
Author: Tobias Deiminger <tobias.deiminger@posteo.de>
Date:   Mon Jan 9 21:00:06 2023 +0100

    Fix segfault on wrong nssdir

    If SignatureHandler was used with a custom DB directory, but that
    directory didn't exist or contained no valid DB, NSS crashed on
    subsequent calls.

    We can prevent crashes by calling NSS_NoDB_Init (as it's already
    done in
    the default-DB case).

    Fixes #1331.

 poppler/SignatureHandler.cc | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 4259ff0c2067d302f97d87221a442eec8e88d45c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 1 13:24:17 2023 +0100

    poppler 23.01.0

 CMakeLists.txt   |  4 ++--
 NEWS             | 18 ++++++++++++++++++
 cpp/Doxyfile     |  2 +-
 qt5/src/Doxyfile |  2 +-
 qt6/src/Doxyfile |  2 +-
 5 files changed, 23 insertions(+), 5 deletions(-)

commit 2e3bf1476558d11a72b9f3e574eb28bb6ab2ad66
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 1 13:11:30 2023 +0100

    Welcome 2023

 poppler/poppler-config.h.cmake | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7f0276bbc5f7f7b4fefa956d8893ee23c13226e2
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Dec 31 01:01:08 2022 +0100

    CI: Cheat a bit in the build_clang14_libcpp build

 .gitlab-ci.yml           | 3 ++-
 qt6/tests/CMakeLists.txt | 4 +++-
 2 files changed, 5 insertions(+), 2 deletions(-)

commit 43e2da4ade60f7e6c62b4d70f15d603327ca7b2b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Dec 30 23:49:15 2022 +0100

    Update (C)

 poppler/CairoOutputDev.cc | 1 +
 1 file changed, 1 insertion(+)

commit 7d14f465a6441f3df4389df375b154687e1fdb6b
Author: Zachary Travis <ztravis@everlaw.com>
Date:   Fri Aug 13 20:33:35 2021 -0700

    Ignore text rendering mode for type3 fonts

 poppler/CairoOutputDev.cc | 6 ++++++
 1 file changed, 6 insertions(+)

commit f9d958ddee1e9a77d41c80793fd20ce5299f08ef
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Dec 27 09:38:55 2022 +0100

    Gfx::opBeginMarkedContent: Support Span with Name

    Issue #1327

 poppler/Gfx.cc | 23 ++++++++++++++++-------
 1 file changed, 16 insertions(+), 7 deletions(-)

commit 7dda4190b273edb2c5d74b7f5bc7cc77c49c9dbb
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Dec 14 23:12:56 2022 +0100

    Update (C)

 poppler/SplashOutputDev.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit eac1066f60df2442c5508fb1601fa6a331cac7a0
Author: Thomas Freitag <thomas.freitag.bbr@gmail.com>
Date:   Wed Dec 14 22:05:33 2022 +0000

    Splash: avoid problems because of implicit rounding in non-separable
    blend modes

    Splash uses unsigned char to store color pixel. But in non-separable
    blend modes int and in some calculations float values are used. To
    avoid rounding problems because of implicit rounding calculations
    are now done with int values and when storing int values in unsigned
    char variables clamp is used!

 poppler/SplashOutputDev.cc | 51
 ++++++++++++++++------------------------------
 1 file changed, 17 insertions(+), 34 deletions(-)

commit 065dca3816db3979dfacdc2f8592abed2ff6859a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Dec 13 22:31:20 2022 +0100

    FoFiType1::parse: Be more flexible parsing the encoding content

    Don't force it to be on a single line.

    Fixes #1324

 fofi/FoFiType1.cc | 203
 ++++++++++++++++++++++++++++++------------------------
 1 file changed, 113 insertions(+), 90 deletions(-)

commit a9e1987591ed3896e18a81d0b66f65adf66f41cb
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Dec 13 00:48:59 2022 +0100

    Remove unused FoFiType1::load function

 fofi/FoFiType1.cc | 11 -----------
 fofi/FoFiType1.h  |  5 +----
 2 files changed, 1 insertion(+), 15 deletions(-)

commit a563801e1a6be5e70645472d82f4ba8534b454d1
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Dec 12 23:40:24 2022 +0100

    PDFDoc::sign: Find Arial to sign if Helvetica isn't found

    At least on my Windows install Helvetica isn't found and signing thus
    fails

 poppler/PDFDoc.cc | 25 ++++++++++++++++++++-----
 1 file changed, 20 insertions(+), 5 deletions(-)

commit 09fdfecea3a13d30b5c52e1258d17549739d9ea8
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Dec 12 23:28:55 2022 +0100

    PDFDoc::sign: Fix crash if font can't be found

 poppler/PDFDoc.cc | 4 ++++
 1 file changed, 4 insertions(+)

commit 6a19713ca8473c14905bd25d719757df5987d93b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Dec 4 11:43:16 2022 +0100

    cmake: A more bit of include tweaking

 test/CMakeLists.txt  | 5 -----
 utils/CMakeLists.txt | 2 --
 2 files changed, 7 deletions(-)

commit 49a883dfac1a92fd959a1421627279aec26dcbb9
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Dec 4 03:57:01 2022 +0100

    cmake: Make sure cairo includes are complete

 cmake/modules/FindCairo.cmake | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9bd49f486ed8442943a08cfee42136a5575c6a1b
